"use strict";
const common_vendor = require("../../../../common/vendor.js");
const common_assets = require("../../../../common/assets.js");
const sheep_index = require("../../../../sheep/index.js");
require("../../../../sheep/store/index.js");
require("../../../../sheep/helper/index.js");
require("../../../../sheep/request/index.js");
require("../../../../sheep/api/index.js");
require("../../../../sheep/api/distri/score.js");
require("../../../../sheep/api/distri/share.js");
require("../../../../sheep/api/distri/team.js");
require("../../../../sheep/api/infra/file.js");
require("../../../../sheep/config/index.js");
require("../../../../sheep/api/member/address.js");
require("../../../../sheep/api/member/auth.js");
require("../../../../sheep/api/member/point.js");
require("../../../../sheep/api/member/signin.js");
require("../../../../sheep/api/member/social.js");
require("../../../../sheep/api/member/user.js");
require("../../../../sheep/api/migration/app.js");
require("../../../../sheep/api/migration/chat.js");
require("../../../../sheep/api/migration/index.js");
require("../../../../sheep/api/migration/third.js");
require("../../../../sheep/api/pay/channel.js");
require("../../../../sheep/api/pay/order.js");
require("../../../../sheep/api/pay/wallet.js");
require("../../../../sheep/api/product/category.js");
require("../../../../sheep/api/product/comment.js");
require("../../../../sheep/api/product/favorite.js");
require("../../../../sheep/api/product/history.js");
require("../../../../sheep/api/product/spu.js");
require("../../../../sheep/api/promotion/activity.js");
require("../../../../sheep/api/promotion/article.js");
require("../../../../sheep/api/promotion/bargain.js");
require("../../../../sheep/api/promotion/combination.js");
require("../../../../sheep/api/promotion/coupon.js");
require("../../../../sheep/api/promotion/diy.js");
require("../../../../sheep/api/promotion/rewardActivity.js");
require("../../../../sheep/api/promotion/seckill.js");
require("../../../../sheep/api/system/area.js");
require("../../../../sheep/api/system/voice.js");
require("../../../../sheep/api/trade/afterSale.js");
require("../../../../sheep/api/trade/brokerage.js");
require("../../../../sheep/api/trade/cart.js");
require("../../../../sheep/api/trade/config.js");
require("../../../../sheep/api/trade/delivery.js");
require("../../../../sheep/api/trade/order.js");
require("../../../../sheep/url/index.js");
require("../../../../sheep/router/index.js");
require("../../../../sheep/hooks/useModal.js");
require("../../../../sheep/helper/test.js");
require("../../../../sheep/helper/throttle.js");
require("../../../../sheep/platform/index.js");
require("../../../../sheep/platform/provider/wechat/index.js");
require("../../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../../sheep/platform/provider/apple/index.js");
require("../../../../sheep/platform/share.js");
require("../../../../sheep/platform/pay.js");
require("../../../../sheep/config/zIndex.js");
require("../../../../sheep/store/app.js");
require("../../../../sheep/store/user.js");
require("../../../../sheep/store/cart.js");
require("../../../../sheep/store/sys.js");
require("../../../../sheep/store/modal.js");
require("../../../../sheep/helper/digit.js");
if (!Array) {
  const _easycom_su_fixed2 = common_vendor.resolveComponent("su-fixed");
  _easycom_su_fixed2();
}
const _easycom_su_fixed = () => "../../../../sheep/ui/su-fixed/su-fixed.js";
if (!Math) {
  _easycom_su_fixed();
}
const _sfc_main = {
  __name: "detail-tabbar",
  props: {
    modelValue: {
      type: Object,
      default() {
      }
    },
    bg: {
      type: String,
      default: "bg-white"
    },
    bgStyles: {
      type: Object,
      default() {
      }
    },
    ui: {
      type: String,
      default: ""
    },
    noFixed: {
      type: Boolean,
      default: false
    },
    topRadius: {
      type: Number,
      default: 0
    },
    collectIcon: {
      type: Boolean,
      default: true
    },
    serviceIcon: {
      type: Boolean,
      default: true
    },
    shareIcon: {
      type: Boolean,
      default: true
    }
  },
  setup(__props) {
    common_vendor.reactive({});
    const onIndex = () => {
      sheep_index.sheep.$router.go("/pages/index/index");
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: __props.serviceIcon
      }, __props.serviceIcon ? {
        b: common_assets._imports_0$4,
        c: common_vendor.o(onIndex)
      } : {}, {
        d: __props.shareIcon
      }, __props.shareIcon ? {
        e: common_assets._imports_1,
        f: common_vendor.o(($event) => {
          common_vendor.unref(sheep_index.sheep).$router.go("/pages/index/cart");
        })
      } : {}, {
        g: common_vendor.p({
          bottom: true,
          placeholder: true,
          bg: "bg-white"
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-4c75f2f1"], ["__file", "D:/zx/mall-front-app/pages/goods/components/detail/detail-tabbar.vue"]]);
wx.createComponent(Component);
